Waiting for engine...
Skip to main content

Boomi MFT - AFT Management API Reference (v1) - AdminFeatureFlag

Toggle Pane

Download OpenAPI Specification: Download

Run In Postman

For more information about Postman collections, forking, and making your first API call, refer to the Working with Boomi APIs on Postman page.

AdminFeatureFlag

Retrieves all available feature flags and their current settings

Returns list of all feature flags and their current enabled/disabled state for the customer instance.

Authorizations:
ApiKeyBearer

Responses

Response Schema:
Array
id
integer <int32>
customerId
integer <int32>
featureFlagId
integer <int32>
isEnabled
boolean

Response samples

Content type
No sample

Updates feature flag settings for customer configurations

Updates feature flag configurations to enable or disable specific features across the customer instance.

Authorizations:
ApiKeyBearer
Request Body schema:

List of customer feature flag configurations to save

Array
id
integer <int32>
customerId
integer <int32>
featureFlagId
integer <int32>
isEnabled
boolean

Responses

Response Schema:
Array
id
integer <int32>
customerId
integer <int32>
featureFlagId
integer <int32>
isEnabled
boolean

Request samples

Content type
[
  • {
    • "id": 0,
    • "customerId": 0,
    • "featureFlagId": 0,
    • "isEnabled": true
    }
]

Response samples

Content type
No sample